`<str>` | (String value) provides a string value for a feature.
Attributes: |
`rel` | indicates the relation of the given value to the actual value.
| Datatype: (eq|ne|sb|ns|lt|le|gt|ge)
| Legal values: |
`eq` | indicates that the actual value is that given.
`ne` | indicates that the actual value is not that given.
`sb` | indicates that the value given is a substring of the actual value.
`ns` | indicates that the value given is not a substring of the actual value.
`lt` | indicates that the actual value is less than the given value.
`le` | indicates that the actual value is less than or equal to the given value.
`gt` | indicates that the actual value is greater than the given value.
`ge` | indicates that the actual value is greater than or equal to the given value.
| Default: eq
Note | The use of `rel=lt` , etc. assumes that an ordering of string values has been defined.

Example

    <str>Hello, world!</str>

Tagset additional tag set for feature structures
Class singleVal [and indirectly also:] featureVal
Filename `teifs2`
Content: Parsed character data.
Parents f fvLib if vAlt vDefault vRange
Children#PCDATA
Declaration

    <!ELEMENT str           - -  (#PCDATA)                          >
    <!ATTLIST str                %a.global
              rel                (eq | ne | sb | ns | lt | le | gt
                                 | ge)               eq             >

See 16.4

Back to index